﻿use encoding "utf-8";
use constant S_HOME => '首页';							        # Forwards to home page
use constant S_ADMIN => '管理';								# Forwards to Management Panel
use constant S_RETURN => '返回图版';							# Returns to image board
use constant S_POSTING => '发帖模式: 回复';					        # Prints message in red bar atop the reply screen

use constant S_NAME => '个人代号';							# Describes name field
use constant S_EMAIL => '网站/邮箱';							# Describes e-mail field
use constant S_SUBJECT => '标题';						        # Describes subject field
use constant S_SUBMIT => '发送';							# Describes submit button
use constant S_COMMENT => '评语';						        # Describes comment field
use constant S_UPLOADFILE => '图片';							# Describes file field
use constant S_NOFILE => '无附件';							# Describes file/no file checkbox
use constant S_CAPTCHA => '认证码';							# Describes captcha field
use constant S_PARENT => '上级页面';							# Describes parent field on admin post page
use constant S_DELPASS => '密码';						        # Describes password field
use constant S_DELEXPL => '(用于删除文件/主题)';			                # Prints explanation for password box (to the right)

use constant S_THUMB => '略缩图, 点击察看完整版本.';	                                # Prints instructions for viewing real source
use constant S_HIDDEN => '略缩图被隐藏, 点击文件名察看原图';	                        # Prints instructions for viewing hidden image reply
use constant S_NOTHUMB => '无<br />略缩图';						# Printed when there's no thumbnail
use constant S_PICNAME => '文件: ';							# Prints text before upload name/link
use constant S_REPLY => '回复';							        # Prints text for reply link
use constant S_OLD => '删除标记(old).';					                # Prints text to be displayed before post is marked for deletion, see: retention
use constant S_ABBR => '%d个回复被忽略, 点击[回复]察看';			        # Prints text to be shown when replies are hidden
use constant S_ABBRIMG => '%d个回复以及%d张图片被忽略, 点击[回复]察看';			# Prints text to be shown when replies and images are hidden
use constant S_ABBRTEXT => '回复内容较长, 点击<a href="%s">这里</a>察看完整文字';

use constant S_REPDEL => '删除主题 ';						        # Prints text next to S_DELPICONLY (left)
use constant S_DELPICONLY => '仅文件';						        # Prints text next to checkbox for file deletion (right)
use constant S_DELKEY => '密码 ';							# Prints text next to password field for deletion (left)
use constant S_DELETE => '删除';							# Defines deletion button's name

use constant S_PREV => '上一页';							# Defines previous button
use constant S_FIRSTPG => '上一页';							# Defines previous button
use constant S_NEXT => '下一页';							# Defines next button
use constant S_LASTPG => '下一页';							# Defines next button

use constant S_WEEKDAYS => ('周日','周一','周二','周三','周四','周五','周六');	        # Defines abbreviated weekday names.

use constant S_MANARET => '返回';							# Returns to HTML file instead of PHP--thus no log/SQLDB update occurs
use constant S_MANAMODE => '管理模式';						        # Prints heading on top of Manager page

use constant S_MANALOGIN => '店长登录';						        # Defines Management Panel radio button--allows the user to view the management panel (overview of all posts)
use constant S_ADMINPASS => '管理密码:';						# Prints login prompt

use constant S_MANAPANEL => '管理面板';							# Defines Management Panel radio button--allows the user to view the management panel (overview of all posts)
use constant S_MANABANS => '取缔/允许';							# Defines Bans Panel button
use constant S_MANAPROXY => '代理面板';
use constant S_MANASPAM => '垃圾邮件';							# Defines Spam Panel button
use constant S_MANASQLDUMP => 'SQL Dump';						# Defines SQL dump button
use constant S_MANASQLINT => 'SQL 查询';						# Defines SQL interface button
use constant S_MANAPOST => '店长发言';							# Defines Manager Post radio button--allows the user to post using HTML code in the comment box
use constant S_MANAREBUILD => '重建缓存';						# 
use constant S_MANANUKE => '自爆';							# 
use constant S_MANALOGOUT => '登出';							# 
use constant S_MANASAVE => '记住我';				                        # Defines Label for the login cookie checbox
use constant S_MANASUB => 'Go';							        # Defines name for submit button in Manager Mode

use constant S_NOTAGS => '允许HTML标签, 不自动排版——你需要使用HTML标签来换行';        # Prints message on Management Board

use constant S_MPDELETEIP => '全部删除';
use constant S_MPDELETE => '删除';							# Defines for deletion button in Management Panel
use constant S_MPRESET => '重置';							# Defines name for field reset button in Management Panel
use constant S_MPONLYPIC => '仅文件';						        # Sets whether or not to delete only file, or entire post/thread
use constant S_MPDELETEALL => '全部删除';						# 
use constant S_MPBAN => '禁止';								# Sets whether or not to delete only file, or entire post/thread
use constant S_MPTABLE => '<th>主题号码.</th><th>时间</th><th>标题</th>'.
                          '<th>ID</th><th>内容</th><th>IP</th>';	                # Explains names for Management Panel
use constant S_IMGSPACEUSAGE => '[ Space used: %d KB ]';				# Prints space used KB by the board under Management Panel

use constant S_BANTABLE => '<th>类型</th><th>设定值</th><th>内容</th><th>操作</th>';    # Explains names for Ban Panel
use constant S_BANIPLABEL => 'IP';
use constant S_BANMASKLABEL => 'Mask';
use constant S_BANCOMMENTLABEL => '内容';
use constant S_BANWORDLABEL => '文字';
use constant S_BANIP => '禁止IP';
use constant S_BANWORD => '禁止用词';
use constant S_BANWHITELIST => '允许列表';
use constant S_BANREMOVE => '移除';
use constant S_BANCOMMENT => '内容';
use constant S_BANTRUST => 'No captcha';
use constant S_BANTRUSTTRIP => '<a href="http://en.wikipedia.org/wiki/Tripcode" target="_blank">Tripcode</a>';

use constant S_PROXYTABLE => '<th>类型</th><th>IP</th><th>过期</th><th>时间</th>';      # Explains names for Proxy Panel
use constant S_PROXYIPLABEL => 'IP';
use constant S_PROXYTIMELABEL => '允许时间(秒)';
use constant S_PROXYREMOVEBLACK => 'Remove';
use constant S_PROXYWHITELIST => '允许列表';
use constant S_PROXYDISABLED => '代理监察正处于关闭状态';
use constant S_BADIP => 'Bad IP value';

use constant S_SPAMEXPL => '以下是一列被Wakaba认为是spam的域名<br />'.
                           '你可以在<a href="http://wakaba.c3.cx/antispam/antispam.pl?action=view&amp;format=wakaba">这里</a>找到最新的列表,'.
                           '亦可从<a href="http://wakaba.c3.cx/antispam/spam.txt">官网</a>下载最新的<code>spam.txt</code>文件';
use constant S_SPAMSUBMIT => '保存';
use constant S_SPAMCLEAR => '清除';
use constant S_SPAMRESET => '恢复';

use constant S_SQLNUKE => '自爆口令:';
use constant S_SQLEXECUTE => '执行';

use constant S_TOOBIG => '这张图片太大了哦!';
use constant S_TOOBIGORNONE => '这张图片太大了哦, 或者是你没指明图片';
use constant S_REPORTERR => 'Error: 无法找到回复';					# Returns error when a reply (res) cannot be found
use constant S_UPFAIL => 'Error: 上传失败';						# Returns error for failed upload (reason: unknown?)
use constant S_NOREC => 'Error: 无法找到记录';						# Returns error when record cannot be found
use constant S_NOCAPTCHA => 'Error: 没有填入认证码 - 或是认证码过期';	                # Returns error when there's no captcha in the database for this IP/key
use constant S_BADCAPTCHA => 'Error: 错误的认证码';		                        # Returns error when the captcha is wrong
use constant S_BADFORMAT => 'Error: 暂时还不支持这种格式';			        # Returns error when the file is not in a supported format.
use constant S_STRREF => 'Error: 非法字符';					        # Returns error when a string is refused
use constant S_UNJUST => 'Error: 非法回复';						# Returns error on an unjust POST - prevents floodbots or ways not using POST method?
use constant S_NOPIC => 'Error: 没有选中文件, 你忘了点[回复]吗??';	                # Returns error for no file selected and override unchecked
use constant S_NOTEXT => 'Error: 没有内容';						# Returns error for no text entered in to subject/comment
use constant S_TOOLONG => 'Error: 内容太多, 这是图版耶';		                # Returns error for too many characters in a given field
use constant S_NOTALLOWED => 'Error: 不允许回复';					# Returns error for non-allowed post types
use constant S_UNUSUAL => 'Error: 异常回复';						# Returns error for abnormal reply? (this is a mystery!)
use constant S_BADHOST => 'Error: 本IP暂时被封';					# Returns error for banned host ($badip string)
use constant S_BADHOSTPROXY => 'Error: 本代理被封';	                                # Returns error for banned proxy ($badip string)
use constant S_RENZOKU => 'Error: 重复灌水, 回复删除';			                # Returns error for $sec/post spam filter
use constant S_RENZOKU2 => 'Error: 重复灌水, 文件删除';		                        # Returns error for $sec/upload spam filter
use constant S_RENZOKU3 => 'Error: 重复灌水';					        # Returns error for $sec/similar posts spam filter.
use constant S_PROXY => 'Error: 检查到代理';						# Returns error for proxy detection.
use constant S_DUPE => 'Error: 本文件已经被发表过一次, 点<a href="%s">这里</a>.';	# Returns error when an md5 checksum already exists.
use constant S_DUPENAME => 'Error: 相同文件名已存在';	                                # Returns error when an filename already exists.
use constant S_NOTHREADERR => 'Error: 主题不存在';				        # Returns error when a non-existant thread is accessed
use constant S_BADDELPASS => 'Error: 错误的删除密码';		                        # Returns error for wrong password (when user tries to delete file)
use constant S_WRONGPASS => 'Error: 管理密码错误';		                        # Returns error for wrong password (when trying to access Manager modes)
use constant S_VIRUS => 'Error: 文件可能包含病毒';				        # Returns error for malformed files suspected of being virus-infected.
use constant S_NOTWRITE => 'Error: 无法写入';				                # Returns error when the script cannot write to the directory, the chmod (777) is wrong
use constant S_SPAM => 'SPAM者死!';		                                        # Returns error when detecting spam

use constant S_SQLCONF => '数据库连接错误';						# Database connection failure
use constant S_SQLFAIL => '严重数据库错误';						# SQL Failure

use constant S_REDIR => '如果自动转向无法使用, 请自行选择以下镜像网站:';                # Redir message for html in REDIR_DIR

no encoding;
1;